# CUSTOM_SHELF
> Blender addon to launch custom scripts from the User Panel


Pipe_test is a test repository that can be used by TDs to run code or development tests so as not to pollute the main repositories.

<!-- TABLE OF CONTENTS -->
***
<summary>Table of Contents</summary>
<ol>
<li>
    <a href="#installation">Installation</a>
</li>
<li>
    <a href="#contents">Contents</a>
</li>
<li>
    <a href="#usage">Usage</a>
</li>
</ol>


<!-- INSTALLATION -->
## Installation

1. Create your own local directory in 
    ```sh
   /home/<USER>/dev
   ```
2. Create your own local directory in 
    ```sh
   git clone ssh://git@git.autourdeminuit.com:222/autour_de_minuit/custom_shelf.git
   ```

<!-- CONTENTS -->
## Contents

<!-- USAGE -->
## Usage

Place your .py scripts in the `shelves/` folder with following folder structure:  

`shelves / sidebar_tab_name / panel_name / button_name.py`

Here is the dictionnary to put at the beginning of your code to have tooltip, icon 
and variables inside a popup:

```
info = {
    'icon' : 'SORTALPHA',
    'description' : 'Rename active object in something',
    'name' : 'Some name',
    'enum' : {'value': '3', 'items': ['1', '2', '3', '4']},
    'int' : 2,
    'path' : '/temp',
    'bool' : False,
    'float' : 2.0,
    'collection' : {'value': 'object', 'collection': 'Object'},
}
```

To get yout variables in your code :

`name = info['name']`

The collection return the name, so to get an object :

`ob = bpy.data.objects.get(info['collection']['value'])`

You can next filter by tags by clicking on the arrow icon
